apiVersion: v1
kind: Secret
metadata:
  name: freeleaps-azure-blob-storage-secret
  namespace: freeleaps-storage-system
type: Opaque
data:
  azurestorageaccountname: ZnJlZWxlYXBz
  azurestorageaccountkey: bWE3dmxQdktySmtFVS9vRENFRjNDYkNJWkQzMUlOb0R5a214Y0NoYnpoR25oMWxhVGpsRkxUclVhdG5odXdveS9Dc3g5L1Vwa0VjZStBU3Rab08rL0E9PQ==
---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: azure-blob-fuse-2-std-lrs
provisioner: blob.csi.azure.com
parameters:
  skuName: Standard_LRS
  protocol: fuse2
  location: westus2
  resourceGroup: k8s
  containerNamePrefix: fs-storage-sys-
  secretName: freeleaps-azure-blob-storage-secret
  secretNamespace: freeleaps-storage-system
reclaimPolicy: Delete
volumeBindingMode: Immediate
allowVolumeExpansion: true
mountOptions:
  - -o allow_other
  - --file-cache-timeout-in-seconds=120
  - --use-attr-cache=true
  - --cancel-list-on-mount-seconds=10  # prevent billing charges on mounting
  - -o attr_timeout=120
  - -o entry_timeout=120
  - -o negative_timeout=120
  - --log-level=LOG_WARNING  # LOG_WARNING, LOG_INFO, LOG_DEBUG
  - --cache-size-mb=1000  # Default will be 80% of available memory, eviction will happen beyond that.
---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: azure-blob-fuse-std-lrs
provisioner: blob.csi.azure.com
parameters:
  skuName: Standard_LRS
  protocol: fuse
  location: westus2
  resourceGroup: k8s
  containerNamePrefix: fs-storage-sys-
  secretName: freeleaps-azure-blob-storage-secret
  secretNamespace: freeleaps-storage-system
reclaimPolicy: Delete
volumeBindingMode: Immediate
allowVolumeExpansion: true
mountOptions:
  - -o allow_other
  - --file-cache-timeout-in-seconds=120
  - --use-attr-cache=true
  - --cancel-list-on-mount-seconds=10  # prevent billing charges on mounting
  - -o attr_timeout=120
  - -o entry_timeout=120
  - -o negative_timeout=120
  - --log-level=LOG_WARNING  # LOG_WARNING, LOG_INFO, LOG_DEBUG
  - --cache-size-mb=1000  # Default will be 80% of available memory, eviction will happen beyond that.